; 普通设置
[General]

; 直接退出到主屏幕
ExitToHomeScreen=false
; 游戏存档备份存放文件夹
SavesFolder=sdmc:/switch/DBI/saves/
; 记录 "安装"、"检查完整性 "和 "清理 "过程
LogEvents=false
; 存储日志的文件夹
LogsFolder=sdmc:/switch/DBI/logs/
; 存储dump游戏的文件夹
DumpsFolder=sdmc:/switch/DBI/dumps/
; 应用程序列表的排序选项
AppSorting=LastPlayed,InstallLocation,Size,Name
; 游戏存档列表的排序选项
SaveSorting=AppLastPlayed,AppName,UserUid,Size,Time
; 在文件浏览器中，突出显示有已安装游戏有更新的文件
HighlightUpdates=true
; 旋转屏幕和按键
RotateScreen=false
; 旋转手柄
RotateJoycon=false
; URL 包含版本信息的格式 <id>|<rightsId>|[version]
;VersionsURL=https://raw.githubusercontent.com/16BitWonder/nx-versions/master/versions.txt
VersionsURL=https://raw.githubusercontent.com/blawar/titledb/master/versions.txt
;VersionsURL=sdmc:/versions.txt
; URL with titledb json
TitleDB=https://raw.githubusercontent.com/blawar/titledb/master/US.en.json
; 浏览以只读模式保存FS
ROSaveFS=false
; 在文件浏览器的上下文菜单中显示“从此处更新所有项目…”
ShowUpdateFromHere=false
; 显示缓存预热微调器
ShowCacheWarmingIndicator=true
; 选择后向下移动光标
MoveDownAfterX=true
; 屏幕空闲超时（秒）
ScreenIdleTimeout=0								  
; 自动重复导航。 按住时的按钮
Autorepeat=true
; 在双面板浏览模式下在两个面板上显示光标
Secondcursor=false
; 删除前备份保存
FoolproofSaveDelete=false
; 在状态行中显示时间
TimeShow=true
; 以秒显示时间
TimeShowSeconds=true
; 按 L 从文件浏览器运行应用程序列表
BrowseAppsFromFiles=false
; 验证网络连接上的 SSL 证书
ValidateSSL=false
; 更新URL
;DBIUpdateURL=http://192.168.0.1/DBI/latest.zip
; 将生成的转发器转储到配置的转储位置
DumpForwarders=false
; 不要在文件浏览器中显示folder.jpg
HideFolderJpg=true

; 主菜单可见性
OptimizeClockSpeed=True
[MainMenu]
; 从MicroSD储存卡浏览和安装文件
BrowseSD=true
; 从SYSTEM分区浏览和复制文件
BrowseSystem=false
; 从USER分区浏览和复制文件
BrowseUser=false
; 从USB 储存器或硬盘浏览和安装文件
USBHost=true
; 从 PC 通过 dbibackend 浏览和安装文件
BackendInstall=false
; 从插入的游戏卡带安装游戏
GameCard=false
; 从配置的网络源浏览和安装文件
Network=true
; 从已配置的sd卡文件夹浏览和安装文件
Local=false
; 浏览已安装的应用（游戏）
BrowseApps=true
; 清理破损安装/旧更新/未使用的票据等，留下的文件
Cleanup=true
; 检查 app 更新
UpdateCheck=true
; 浏览和删除已安装票据
Tickets=false
; 查看或删除游戏存档
Saves=true
; MTP 功能
MTP=true
; FTP 功能
FTP=true
; HTTP服务器
HTTP=true
; 工具
Tools=true

[Applications]
; 是否检查金手指和 mod 的大小
CalculateLFSSize=false

; 安装选项
[Install]
; 安装时检查NCA哈希值
CheckHash=false
; 使用分块HTTP传输（在恶劣环境中很好）
ChunkedTransfer=true

; 允许以小程序模式安装 NSZ/XCZ
EnableNSZ=true
; 安装后在/atmosphere/contents中创建LFS文件夹
CreateLFS=false
;
; 注意！以下标志可能会导致游戏崩溃。
; 用户帐户的补丁限制，例如链接
PatchUAC=false
; 创建屏幕截图的补丁限制
PatchScreenshot=false
; 视频录制补丁限制
PatchVideoRec=false

; MTP选项
[MTP]
; 记录所有文件日志
LogAllFiles=false
; 是否显示包含基本游戏、最新更新和所有DLC的单个NSP文件
ShowCombinedNSP=false
; 在文件名中添加 [Base] 和 [Update] 后缀
AddBaseUpdate = false
; 是否显示虚拟的 "Mods & cheats "文件夹，该文件夹重定向到sdmc:/atmosphere/contents/TITLEID
ShowMAC=true
; 将 TitleID 用于“Mods & cheats”文件夹
MACasTID=true
; 显示用户定义 MircoSD 文件夹的快捷方式，作为单独的存储空间																 
CustomStorages=true
; 启动MTP模式时关闭屏幕
TurnOffScreen=false
; 报告安卓扩展（一些发起者认为安卓有错误）
ReportAndroidExtension=true
; 使用单个 URB 传输。会慢很多，但可以提高稳定性
SingleURB=false
; MTP 传输缓冲区大小（以 KB 为单位）
BufferSize=512
; MTP 传输超时（毫秒）
NewBufferTimeout=2000
; 为复制到安装存储的文件发送 Object_Removed 事件
AutoremoveInstalled=true

; FTP选项
[FTP]
; 启动FTP模式时关闭屏幕
TurnOffScreen=false
; 读取文件修改时间（在大目录上可能会减慢）
ReadMT=false
; 接入端口
Port=5000
; 被动端口范围的最小值。使用 0 到自动
MinPassivePort=40000
; 被动端口范围的最大值。使用 0 到自动
MaxPassivePort=40100
; 将当前目录发送为 type=cdir
CDIR=false
; 强制使用 UTF8
ForceUtf8=true
; 在 recv 中使用 WaitAll 选项。可以提高速度，但与某些客户端不兼容。
UseWaitAll=true

;HTTP 选项
[HTTP]
; 接入端口
Port=1234
; 数据读取超时（秒）
Timeout=3

; 接入点选项
[Access point]
; 启动 FTP/HTTP 服务器的本地访问点
UseAP=false

; 接入点名称
SSID=
; 接入点密码
Password=
; 启用5G频率
Use5GHz=true
; 隐藏
Hidden=false

;启用或禁用各种MTP存储功能
[MTP Storages]
1: SD Card=true
2: Nand USER=false
3: Nand SYSTEM=false
4: Installed games=true
5: SD Card install=true
6: NAND install=true
7: Saves=true
8: Album=true
9: Gamecard=true

; FB2 渲染选项
[FB2]
; 视觉主题（白天Day、夜晚Night、棕褐色Sepia、暗室Darkroom）
Theme=Day
; 使用单词连字
Hyphenation=true
; 默认方向
Orientation=0

; 网络安装源					 					 
[Network sources]
; <display name>=<type>|<URL>
;NSP Indexer=URLList|http://192.168.1.47/nspindexer/index.php?DBI
;Home server=ApacheHTTP|http://192.168.1.47/Nintendo/Switch/
;WebDAV test=WebDAV|http://user:password@192.168.1.47/webdav/
;Test FTP=FTP|ftp://192.168.1.24:2121/
;Test SFTP=SFTP|sftp://user:password@192.168.1.24/
;Test SFTP=SFTP|sftp://remote_user@192.168.1.47/
;Instead of password you can use sdmc:/switch/.ssh/id_rsa and sdmc:/switch/.ssh/id_rsa.pub files
;Sorry, but it seems to be libcurl limitation to use full keypair instead of only private key.

; 主菜单快捷方式在SD卡的路径
[Local sources]
; <显示名称>=<路径>
Homebrew=sdmc:/switch
; Contents=sdmc:/atmosphere/contents
; DBILogs=sdmc:/switch/DBI/logs

; 自定义虚拟MTP驱动器
[MTP custom storages]
; <显示名称>=<路径>
相册工具=sdmc:/switch/
金手指和MOD放这=sdmc:/atmosphere/contents

; 替换显示名称在 DBI 和 MTP 模式下
; <UPPERCASE TID>=<显示名称>
[Title name override]
; 010023901191C000=Naheulbeuk
00FF0000636C6BFF=超频
420000000000000E=无线FTP传输
0000000000534C56=底座插件
0100000000000352=虚拟amiibo
0100000000000f12=屏幕滤镜
010000000000cf12=屏幕滤镜
690000000000000D=有线手柄插件
4200000000000010=联机插件
010000000000bd00=蓝牙手柄连接插件
00FF0000A53BB665=投屏
420000000007E51A=特斯拉本体

[禁用标题以检查更新]
BlockAllTitlesWithLFS=true
010072400E04A000; Pokemon Cafe Mix
